Package com.google.gwt.i18n.client

## Class DateTimeConstantsAdapter

- java.lang.Object
- - com.google.gwt.i18n.client.DateTimeConstantsAdapter

- All Implemented Interfaces:
    `DateTimeConstants`

      class DateTimeConstantsAdapter
      extends java.lang.Object
      implements DateTimeConstants

  Adapter that makes a `DateTimeFormatInfo` implementation suitable for use with something that wants a `DateTimeConstants`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DateTimeConstantsAdapter​(DateTimeFormatInfo dtfi)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String[]` | `ampms()` |
    `java.lang.String[]` | `dateFormats()` |
    `java.lang.String[]` | `eraNames()` |
    `java.lang.String[]` | `eras()` |
    `java.lang.String` | `firstDayOfTheWeek()` |
    `java.lang.String[]` | `months()` |
    `java.lang.String[]` | `narrowMonths()` |
    `java.lang.String[]` | `narrowWeekdays()` |
    `java.lang.String[]` | `quarters()` |
    `java.lang.String[]` | `shortMonths()` |
    `java.lang.String[]` | `shortQuarters()` |
    `java.lang.String[]` | `shortWeekdays()` |
    `java.lang.String[]` | `standaloneMonths()` |
    `java.lang.String[]` | `standaloneNarrowMonths()` |
    `java.lang.String[]` | `standaloneNarrowWeekdays()` |
    `java.lang.String[]` | `standaloneShortMonths()` |
    `java.lang.String[]` | `standaloneShortWeekdays()` |
    `java.lang.String[]` | `standaloneWeekdays()` |
    `java.lang.String[]` | `timeFormats()` |
    `java.lang.String[]` | `weekdays()` |
    `java.lang.String[]` | `weekendRange()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DateTimeConstantsAdapter

          public DateTimeConstantsAdapter​(DateTimeFormatInfo dtfi)

  - ### Method Detail

    - #### ampms

          public java.lang.String[] ampms()

      Specified by:
        `ampms` in interface `DateTimeConstants`

    - #### dateFormats

          public java.lang.String[] dateFormats()

      Specified by:
        `dateFormats` in interface `DateTimeConstants`

    - #### eraNames

          public java.lang.String[] eraNames()

      Specified by:
        `eraNames` in interface `DateTimeConstants`

    - #### eras

          public java.lang.String[] eras()

      Specified by:
        `eras` in interface `DateTimeConstants`

    - #### firstDayOfTheWeek

          public java.lang.String firstDayOfTheWeek()

      Specified by:
        `firstDayOfTheWeek` in interface `DateTimeConstants`

    - #### months

          public java.lang.String[] months()

      Specified by:
        `months` in interface `DateTimeConstants`

    - #### narrowMonths

          public java.lang.String[] narrowMonths()

      Specified by:
        `narrowMonths` in interface `DateTimeConstants`

    - #### narrowWeekdays

          public java.lang.String[] narrowWeekdays()

      Specified by:
        `narrowWeekdays` in interface `DateTimeConstants`

    - #### quarters

          public java.lang.String[] quarters()

      Specified by:
        `quarters` in interface `DateTimeConstants`

    - #### shortMonths

          public java.lang.String[] shortMonths()

      Specified by:
        `shortMonths` in interface `DateTimeConstants`

    - #### shortQuarters

          public java.lang.String[] shortQuarters()

      Specified by:
        `shortQuarters` in interface `DateTimeConstants`

    - #### shortWeekdays

          public java.lang.String[] shortWeekdays()

      Specified by:
        `shortWeekdays` in interface `DateTimeConstants`

    - #### standaloneMonths

          public java.lang.String[] standaloneMonths()

      Specified by:
        `standaloneMonths` in interface `DateTimeConstants`

    - #### standaloneNarrowMonths

          public java.lang.String[] standaloneNarrowMonths()

      Specified by:
        `standaloneNarrowMonths` in interface `DateTimeConstants`

    - #### standaloneNarrowWeekdays

          public java.lang.String[] standaloneNarrowWeekdays()

      Specified by:
        `standaloneNarrowWeekdays` in interface `DateTimeConstants`

    - #### standaloneShortMonths

          public java.lang.String[] standaloneShortMonths()

      Specified by:
        `standaloneShortMonths` in interface `DateTimeConstants`

    - #### standaloneShortWeekdays

          public java.lang.String[] standaloneShortWeekdays()

      Specified by:
        `standaloneShortWeekdays` in interface `DateTimeConstants`

    - #### standaloneWeekdays

          public java.lang.String[] standaloneWeekdays()

      Specified by:
        `standaloneWeekdays` in interface `DateTimeConstants`

    - #### timeFormats

          public java.lang.String[] timeFormats()

      Specified by:
        `timeFormats` in interface `DateTimeConstants`

    - #### weekdays

          public java.lang.String[] weekdays()

      Specified by:
        `weekdays` in interface `DateTimeConstants`

    - #### weekendRange

          public java.lang.String[] weekendRange()

      Specified by:
        `weekendRange` in interface `DateTimeConstants`